Redirects
Authorization
x-api-key x-api-key<token>
API key authentication. Use YOUR-GENERATED-API-KEY
In: header
Request Body
application/json
regex*string
Length
1 <= lengthreplacement*string
Length
1 <= lengthpermanent*boolean
applicationId*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-dokploy-instance.com/api/redirects.create" \ -H "Content-Type: application/json" \ -d '{ "regex": "string", "replacement": "string", "permanent": true, "applicationId": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
x-api-key x-api-key<token>
API key authentication. Use YOUR-GENERATED-API-KEY
In: header
Query Parameters
redirectId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/redirects.one?redirectId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
x-api-key x-api-key<token>
API key authentication. Use YOUR-GENERATED-API-KEY
In: header
Request Body
application/json
redirectId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-dokploy-instance.com/api/redirects.delete" \ -H "Content-Type: application/json" \ -d '{ "redirectId": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
x-api-key x-api-key<token>
API key authentication. Use YOUR-GENERATED-API-KEY
In: header
Request Body
application/json
redirectId*string
Length
1 <= lengthregex*string
Length
1 <= lengthreplacement*string
Length
1 <= lengthpermanent*boolean
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-dokploy-instance.com/api/redirects.update" \ -H "Content-Type: application/json" \ -d '{ "redirectId": "string", "regex": "string", "replacement": "string", "permanent": true }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}